if core.get_modpath("walls") then

walls.register("btmt:brick", "Brick Wall", {"default_brick.png"},
		"default:brick", default.node_sound_stone_defaults())

walls.register("btmt:sandstonebrick", "Sand Stonebrick Wall", {"default_sandstone_brick.png"},
		"default:sandstonebrick", default.node_sound_stone_defaults())
				
walls.register("btmt:stonebrick", "Stone Brick Wall", {"default_stone_brick.png"},
		"default:stonebrick", default.node_sound_stone_defaults())

walls.register("btmt:desert_stonebrick", "Desert Stone Brick Wall", {"default_desert_stone_brick.png"},
		"default:desert_stonebrick", default.node_sound_stone_defaults())
		
walls.register("btmt:desert_sandstone_brick", "Desert Sand Stone Brick Wall", {"default_desert_sandstone_brick.png"},
		"default:desert_sandstone_brick", default.node_sound_stone_defaults())

walls.register("btmt:silver_sandstone_brick", "Silver Sand Stone Brick Wall", {"default_silver_sandstone_brick.png"},
		"default:silver_sandstone_brick", default.node_sound_stone_defaults())														
end
